Pascal Bleser 2012-04-01 20:53:12 +00:00 committed by Git OBS Bridge
commit 72f5d3c4af
5 changed files with 113 additions and 0 deletions

23
.gitattributes vendored Normal file
View File

@ -0,0 +1,23 @@
## Default LFS
*.7z filter=lfs diff=lfs merge=lfs -text
*.bsp filter=lfs diff=lfs merge=lfs -text
*.bz2 filter=lfs diff=lfs merge=lfs -text
*.gem filter=lfs diff=lfs merge=lfs -text
*.gz filter=lfs diff=lfs merge=lfs -text
*.jar filter=lfs diff=lfs merge=lfs -text
*.lz filter=lfs diff=lfs merge=lfs -text
*.lzma filter=lfs diff=lfs merge=lfs -text
*.obscpio filter=lfs diff=lfs merge=lfs -text
*.oxt filter=lfs diff=lfs merge=lfs -text
*.pdf filter=lfs diff=lfs merge=lfs -text
*.png filter=lfs diff=lfs merge=lfs -text
*.rpm filter=lfs diff=lfs merge=lfs -text
*.tbz filter=lfs diff=lfs merge=lfs -text
*.tbz2 filter=lfs diff=lfs merge=lfs -text
*.tgz filter=lfs diff=lfs merge=lfs -text
*.ttf filter=lfs diff=lfs merge=lfs -text
*.txz filter=lfs diff=lfs merge=lfs -text
*.whl filter=lfs diff=lfs merge=lfs -text
*.xz filter=lfs diff=lfs merge=lfs -text
*.zip filter=lfs diff=lfs merge=lfs -text
*.zst filter=lfs diff=lfs merge=lfs -text

1
.gitignore vendored Normal file
View File

@ -0,0 +1 @@
.osc

3
innoextract-1.2.tar.gz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:a56b11bab2e209c7b37a93b3bd7416eb7359824071fc3ae1cf16a8421747cb9a
size 106162

5
innoextract.changes Normal file
View File

@ -0,0 +1,5 @@
-------------------------------------------------------------------
Sun Apr 01 20:51:42 CET 2012 - pascal.bleser@opensuse.org
- initial version (1.2)

81
innoextract.spec Normal file
View File

@ -0,0 +1,81 @@
# vim: set sw=4 ts=4 et nu:
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
Name: innoextract
Version: 1.2
Release: 0
Summary: A tool to extract Inno Setup installers under non-windows systems
Source: https://github.com/downloads/dscharrer/InnoExtract/innoextract-%{version}.tar.gz
URL: https://github.com/dscharrer/InnoExtract/
Group: Productivity/Archiving/Backup
License: Zlib
BuildRoot: %{_tmppath}/build-%{name}-%{version}
BuildRequires: python
BuildRequires: boost-devel
BuildRequires: xz-devel xz
BuildRequires: gcc-c++
BuildRequires: cmake >= 2.8.0
BuildRequires: glibc-devel pkgconfig
%description
Inno Setup is a tool to create installers for Microsoft Windows applications.
Inno Extracts allows to extract such installers under non-windows systems
without running the actual installer using wine. Inno Extract currently
supports installers created by Inno Setup 1.2.10 to 5.4.3.
%prep
%setup -q
# how awesome, on 12.1 the shlib symlink of liblzma is broken
# => crude workaround:
%if 0%{?suse_version} == 1210
%__install -d lzma/lib
matches=$(/bin/ls -1 /%{_lib}/liblzma.so.*.*.* | wc -l)
[ $matches -gt 0 ] || { echo 'ERROR: failed to find any match for /%{_lib}/liblzma.so.*.*.*' >&2; exit 1; }
[ $matches -gt 1 ] && { echo 'ERROR: found too many matches for /%{_lib}/liblzma.so.*.*.*' >&2; exit 1; }
#'
%__ln_s $(/bin/ls -1 /%{_lib}/liblzma.so.*.*.*) lzma/lib/liblzma.so
%endif
%build
LZMALIB="$PWD/lzma/lib"
%__install -d build
pushd build
cmake \
-DCMAKE_VERBOSE_MAKEFILE=TRUE \
-DCMAKE_INSTALL_PREFIX="%{_prefix}" \
-DCMAKE_SKIP_RPATH=TRUE \
-DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
%if 0%{?suse_version} == 1210
-DCMAKE_LIBRARY_PATH="$LZMALIB" \
%endif
..
%__make %{?_smp_mflags}
popd
%install
pushd build
%makeinstall
popd
%clean
%{?buildroot:%__rm -rf "%{buildroot}"}
%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README.md
%{_bindir}/innoextract
%doc %{_mandir}/man1/innoextract.1*
%changelog